Page MenuHomeFreeBSD

Enable separate flavors for different python versions.
ClosedPublic

Authored by jhb on Dec 12 2018, 9:16 PM.

Details

Summary

Since python is enabled by default, this keeps the version with the
default python version as 'gdb' and adds a package suffix for other
python versions.

Test Plan
  • poudriere testport of both flavors and build of devel/gdb@all built both

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb created this revision.Dec 12 2018, 9:16 PM
mat added inline comments.Dec 12 2018, 9:57 PM
devel/gdb/Makefile
88–92 ↗(On Diff #51933)

No.

PKGNAMESUFFIX=  ${PYTHON_PKGNAMESUFFIX}

And I would really rather it be non optional.

jhb marked an inline comment as done.Dec 12 2018, 11:15 PM
jhb added inline comments.
devel/gdb/Makefile
88–92 ↗(On Diff #51933)

See my thread on ports@ for why this negatively impacts the user experience. If it has to be non-optional I'll just drop the flavors instead.

I agree with John, about the suffix only for not default python version.
I need a bit of time, to properly test it.

mat added a comment.Dec 20 2018, 2:59 PM

Maybe it is my english not being correct, but I thought "I would rather" meant something that would be nice but not required.

The other change was, on the other hand, required.

jhb updated this revision to Diff 52233.Dec 21 2018, 5:53 PM

Use PYTHON_PKGNAMESUFFIX.

jhb marked an inline comment as done.Dec 21 2018, 6:03 PM

Would it be better to use 'USES_PYTHON=optsuffix' (even though it's marked deprecated) instead of explicitly setting PKGNAMESUFFIX?

pizzamig accepted this revision.Dec 29 2018, 3:52 PM

LGTM
totally agree with John, about package naming: by default the package should be called gdb. The gdb-py36 should be used for the special case only.

This revision is now accepted and ready to land.Dec 29 2018, 3:52 PM
This revision was automatically updated to reflect the committed changes.